#include "stdafx.h"

void convertSjis2Key(DWORD dwKeyCode, P6KEY* p6key)
{
	BYTE keyCode1 = 0x00;
	BYTE keyCode2 = 0x00;
	BOOL bKana = false;
	BOOL bHira = false;
	BOOL bGrMode = false;

#ifdef _DEBUG
	printf("code convert:%x\n", dwKeyCode);
#endif

	// 80xxȏ̏ꍇ̔f
	switch(dwKeyCode) {
		// OtBbNL[
		case 0x8c8e: keyCode1 = 0x01; bGrMode = true; break;	// 
		case 0x89ce: keyCode1 = 0x02; bGrMode = true; break;	// 
		case 0x9085: keyCode1 = 0x03; bGrMode = true; break;	// 
		case 0x96D8: keyCode1 = 0x04; bGrMode = true; break;	// 
		case 0x8BE0: keyCode1 = 0x05; bGrMode = true; break;	// 
		case 0x9379: keyCode1 = 0x06; bGrMode = true; break;	// y
		case 0x93FA: keyCode1 = 0x07; bGrMode = true; break;	// 
		case 0x944E: keyCode1 = 0x08; bGrMode = true; break;	// N
		case 0x897E: keyCode1 = 0x09; bGrMode = true; break;	// ~
		case 0x8E9E: keyCode1 = 0x0A; bGrMode = true; break;	// 
		case 0x95AA: keyCode1 = 0x0B; bGrMode = true; break;	// 
		case 0x9562: keyCode1 = 0x0C; bGrMode = true; break;	// b
		case 0x9553: keyCode1 = 0x0D; bGrMode = true; break;	// S
		case 0x90E7: keyCode1 = 0x0E; bGrMode = true; break;	// 
		case 0x969C: keyCode1 = 0x0F; bGrMode = true; break;	// 
		case 0x83CE: keyCode1 = 0x10; bGrMode = true; break;	// 
		case 0x84B3: keyCode1 = 0x11; bGrMode = true; break;	// 
		case 0x84B1: keyCode1 = 0x12; bGrMode = true; break;	// 
		case 0x84B2: keyCode1 = 0x13; bGrMode = true; break;	// 
		case 0x84B0: keyCode1 = 0x14; bGrMode = true; break;	// 
		case 0x84B4: keyCode1 = 0x15; bGrMode = true; break;	// 
		case 0x84AB: keyCode1 = 0x16; bGrMode = true; break;	// 
		case 0x84AA: keyCode1 = 0x17; bGrMode = true; break;	// 
		case 0x84AC: keyCode1 = 0x18; bGrMode = true; break;	// 
		case 0x84AD: keyCode1 = 0x19; bGrMode = true; break;	// 
		case 0x84AF: keyCode1 = 0x1A; bGrMode = true; break;	// 
		case 0x84AE: keyCode1 = 0x1B; bGrMode = true; break;	// 
		case 0x817E: keyCode1 = 0x1C; bGrMode = true; break;	// ~
		case 0x91E5: keyCode1 = 0x1D; bGrMode = true; break;	// 
		case 0x9286: keyCode1 = 0x1E; bGrMode = true; break;	// 
		case 0x8FAC: keyCode1 = 0x1F; bGrMode = true; break;	// 

		// Ln
		case 0x8141: keyCode1 = 0x3C; bHira = true; break;	// A
		case 0x8142: keyCode1 = 0x3E; bHira = true; break;	// B
		case 0x8145: keyCode1 = 0x3F; bHira = true; break;	// E
		case 0x814A: keyCode1 = 0x40; bHira = true; break;	// J
		case 0x814B: keyCode1 = 0x5B; bHira = true; break;	// K
		// Ln
		case 0x8149: keyCode1 = 0x21; break;	// I
		case 0x8167: keyCode1 = 0x22; break;	// g
		case 0x8168: keyCode1 = 0x22; break;	// h
		case 0x8194: keyCode1 = 0x23; break;	// 
		case 0x8190: keyCode1 = 0x24; break;	// 
		case 0x8193: keyCode1 = 0x25; break;	// 
		case 0x8195: keyCode1 = 0x26; break;	// 
		case 0x8165: keyCode1 = 0x27; break;	// e
		case 0x8166: keyCode1 = 0x27; break;	// f
		case 0x8169: keyCode1 = 0x28; break;	// i
		case 0x816A: keyCode1 = 0x29; break;	// j
		case 0x8196: keyCode1 = 0x2A; break;	// 
		case 0x817B: keyCode1 = 0x2B; break;	// {
		case 0x8143: keyCode1 = 0x2C; break;	// C
		case 0x817C: keyCode1 = 0x2D; break;	// |
		case 0x815B: keyCode1 = 0x2D; break;	// [
		case 0x815C: keyCode1 = 0x2D; break;	// \
		case 0x8144: keyCode1 = 0x2E; break;	// D
		case 0x815e: keyCode1 = 0x2F; break;	// ^
		case 0x8146: keyCode1 = 0x3A; break;	// F
		case 0x8147: keyCode1 = 0x3B; break;	// G
		case 0x8183: keyCode1 = 0x3C; break;	// 
		case 0x8181: keyCode1 = 0x3D; break;	// 
		case 0x8184: keyCode1 = 0x3E; break;	// 
		case 0x8148: keyCode1 = 0x3F; break;	// H
		case 0x8197: keyCode1 = 0x40; break;	// 
		case 0x816D: keyCode1 = 0x5B; break;	// m
		case 0x818F: keyCode1 = 0x5C; break;	// 
		case 0x816E: keyCode1 = 0x5D; break;	// n
		case 0x814F: keyCode1 = 0x5E; break;	// O
		case 0x8151: keyCode1 = 0x5F; break;	// Q
		case 0x816F: keyCode1 = 0x7B; break;	// o
		case 0x8162: keyCode1 = 0x7C; break;	// b
		case 0x8170: keyCode1 = 0x7D; break;	// p
		case 0x8150: keyCode1 = 0x7E; break;	// P
		case 0x8160: keyCode1 = 0x7E; break;	// `
		case 0x81A3: keyCode1 = 0x80; break;	//  (Xy[h)
		case 0x81A5: keyCode1 = 0x81; break;	//  (n[g)
		case 0x819A: keyCode1 = 0x82; break;	//  (N[o[)
		case 0x819F: keyCode1 = 0x83; break;	//  (_C)
		case 0x819B: keyCode1 = 0x84; break;	// 
		case 0x819C: keyCode1 = 0x85; break;	// 
		case 0x8175: keyCode1 = 0xA2; bGrMode = true; break;	// u
		case 0x8176: keyCode1 = 0xA3; bGrMode = true; break;	// v

		// pЂ炪ȃJ^Ji
		case 0x824F: keyCode1 = 0x30; break;	// O
		case 0x8250: keyCode1 = 0x31; break;	// P
		case 0x8251: keyCode1 = 0x32; break;	// Q
		case 0x8252: keyCode1 = 0x33; break;	// R
		case 0x8253: keyCode1 = 0x34; break;	// S
		case 0x8254: keyCode1 = 0x35; break;	// T
		case 0x8255: keyCode1 = 0x36; break;	// U
		case 0x8256: keyCode1 = 0x37; break;	// V
		case 0x8257: keyCode1 = 0x38; break;	// W
		case 0x8258: keyCode1 = 0x39; break;	// X
		case 0x8260: keyCode1 = 0x41; break;	// `
		case 0x8261: keyCode1 = 0x42; break;	// a
		case 0x8262: keyCode1 = 0x43; break;	// b
		case 0x8263: keyCode1 = 0x44; break;	// c
		case 0x8264: keyCode1 = 0x45; break;	// d
		case 0x8265: keyCode1 = 0x46; break;	// e
		case 0x8266: keyCode1 = 0x47; break;	// f
		case 0x8267: keyCode1 = 0x48; break;	// g
		case 0x8268: keyCode1 = 0x49; break;	// h
		case 0x8269: keyCode1 = 0x4A; break;	// i
		case 0x826A: keyCode1 = 0x4B; break;	// j
		case 0x826B: keyCode1 = 0x4C; break;	// k
		case 0x826C: keyCode1 = 0x4D; break;	// l
		case 0x826D: keyCode1 = 0x4E; break;	// m
		case 0x826E: keyCode1 = 0x4F; break;	// n
		case 0x826F: keyCode1 = 0x50; break;	// o
		case 0x8270: keyCode1 = 0x51; break;	// p
		case 0x8271: keyCode1 = 0x52; break;	// q
		case 0x8272: keyCode1 = 0x53; break;	// r
		case 0x8273: keyCode1 = 0x54; break;	// s
		case 0x8274: keyCode1 = 0x55; break;	// t
		case 0x8275: keyCode1 = 0x56; break;	// u
		case 0x8276: keyCode1 = 0x57; break;	// v
		case 0x8277: keyCode1 = 0x58; break;	// w
		case 0x8278: keyCode1 = 0x59; break;	// x
		case 0x8279: keyCode1 = 0x5A; break;	// y
		case 0x8281: keyCode1 = 0x61; break;	// 
		case 0x8282: keyCode1 = 0x62; break;	// 
		case 0x8283: keyCode1 = 0x63; break;	// 
		case 0x8284: keyCode1 = 0x64; break;	// 
		case 0x8285: keyCode1 = 0x65; break;	// 
		case 0x8286: keyCode1 = 0x66; break;	// 
		case 0x8287: keyCode1 = 0x67; break;	// 
		case 0x8288: keyCode1 = 0x68; break;	// 
		case 0x8289: keyCode1 = 0x69; break;	// 
		case 0x828A: keyCode1 = 0x6A; break;	// 
		case 0x828B: keyCode1 = 0x6B; break;	// 
		case 0x828C: keyCode1 = 0x6C; break;	// 
		case 0x828D: keyCode1 = 0x6D; break;	// 
		case 0x828E: keyCode1 = 0x6E; break;	// 
		case 0x828F: keyCode1 = 0x6F; break;	// 
		case 0x8290: keyCode1 = 0x70; break;	// 
		case 0x8291: keyCode1 = 0x71; break;	// 
		case 0x8292: keyCode1 = 0x72; break;	// 
		case 0x8293: keyCode1 = 0x73; break;	// 
		case 0x8294: keyCode1 = 0x74; break;	// 
		case 0x8295: keyCode1 = 0x75; break;	// 
		case 0x8296: keyCode1 = 0x76; break;	// 
		case 0x8297: keyCode1 = 0x77; break;	// 
		case 0x8298: keyCode1 = 0x78; break;	// 
		case 0x8299: keyCode1 = 0x79; break;	// 
		case 0x829A: keyCode1 = 0x7A; break;	// 

		case 0x829F: keyCode1 = 0x23; bHira = true; break;	// (Ђ炪Ȃ̏Ԃ#̃L[R[h)
		case 0x82A0: keyCode1 = 0x33; bHira = true; break;	// (3)
		case 0x82A1: keyCode1 = 0x45; bHira = true; break;	// 
		case 0x82A2: keyCode1 = 0x65; bHira = true; break;	// 
		case 0x82A3: keyCode1 = 0x24; bHira = true; break;	// 
		case 0x82A4: keyCode1 = 0x34; bHira = true; break;	// 
		case 0x82A5: keyCode1 = 0x25; bHira = true; break;	// 
		case 0x82A6: keyCode1 = 0x35; bHira = true; break;	// 
		case 0x82A7: keyCode1 = 0x26; bHira = true; break;	// 
		case 0x82A8: keyCode1 = 0x36; bHira = true; break;	// 
		case 0x82A9: keyCode1 = 0x74; bHira = true; break;	// 
		case 0x82AA: keyCode1 = 0x74; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82AB: keyCode1 = 0x67; bHira = true; break;	// 
		case 0x82AC: keyCode1 = 0x67; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82AD: keyCode1 = 0x68; bHira = true; break;	// 
		case 0x82AE: keyCode1 = 0x68; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82AF: keyCode1 = 0x3A; bHira = true; break;	// 
		case 0x82B0: keyCode1 = 0x3A; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82B1: keyCode1 = 0x62; bHira = true; break;	// 
		case 0x82B2: keyCode1 = 0x62; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82B3: keyCode1 = 0x78; bHira = true; break;	// 
		case 0x82B4: keyCode1 = 0x78; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82B5: keyCode1 = 0x64; bHira = true; break;	// 
		case 0x82B6: keyCode1 = 0x64; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82B7: keyCode1 = 0x72; bHira = true; break;	// 
		case 0x82B8: keyCode1 = 0x72; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82B9: keyCode1 = 0x70; bHira = true; break;	// 
		case 0x82BA: keyCode1 = 0x70; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82BB: keyCode1 = 0x63; bHira = true; break;	// 
		case 0x82BC: keyCode1 = 0x63; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82BD: keyCode1 = 0x71; bHira = true; break;	// 
		case 0x82BE: keyCode1 = 0x71; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82BF: keyCode1 = 0x61; bHira = true; break;	// 
		case 0x82C0: keyCode1 = 0x61; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82C1: keyCode1 = 0x5A; bHira = true; break;	// 
		case 0x82C2: keyCode1 = 0x7A; bHira = true; break;	// 
		case 0x82C3: keyCode1 = 0x7A; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82C4: keyCode1 = 0x77; bHira = true; break;	// 
		case 0x82C5: keyCode1 = 0x77; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82C6: keyCode1 = 0x73; bHira = true; break;	// 
		case 0x82C7: keyCode1 = 0x73; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82C8: keyCode1 = 0x75; bHira = true; break;	// 
		case 0x82C9: keyCode1 = 0x69; bHira = true; break;	// 
		case 0x82CA: keyCode1 = 0x31; bHira = true; break;	// 
		case 0x82CB: keyCode1 = 0x2C; bHira = true; break;	// 
		case 0x82CC: keyCode1 = 0x6B; bHira = true; break;	// 
		case 0x82CD: keyCode1 = 0x66; bHira = true; break;	// 
		case 0x82CE: keyCode1 = 0x66; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82CF: keyCode1 = 0x66; keyCode2 = 0x5B; bHira = true; break;	// 
		case 0x82D0: keyCode1 = 0x76; bHira = true; break;	// 
		case 0x82D1: keyCode1 = 0x76; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82D2: keyCode1 = 0x76; keyCode2 = 0x5B; bHira = true; break;	// 
		case 0x82D3: keyCode1 = 0x32; bHira = true; break;	// 
		case 0x82D4: keyCode1 = 0x32; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82D5: keyCode1 = 0x32; keyCode2 = 0x5B; bHira = true; break;	// 
		case 0x82D6: keyCode1 = 0x5E; bHira = true; break;	// 
		case 0x82D7: keyCode1 = 0x5E; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82D8: keyCode1 = 0x5E; keyCode2 = 0x5B; bHira = true; break;	// 
		case 0x82D9: keyCode1 = 0x2D; bHira = true; break;	// 
		case 0x82DA: keyCode1 = 0x2D; keyCode2 = 0x40; bHira = true; break;	// 
		case 0x82DB: keyCode1 = 0x2D; keyCode2 = 0x5B; bHira = true; break;	// 
		case 0x82DC: keyCode1 = 0x6A; bHira = true; break;	// 
		case 0x82DD: keyCode1 = 0x6E; bHira = true; break;	// 
		case 0x82DE: keyCode1 = 0x5D; bHira = true; break;	// 
		case 0x82DF: keyCode1 = 0x2F; bHira = true; break;	// 
		case 0x82E0: keyCode1 = 0x6D; bHira = true; break;	// 
		case 0x82E1: keyCode1 = 0x27; bHira = true; break;	// 
		case 0x82E2: keyCode1 = 0x37; bHira = true; break;	// 
		case 0x82E3: keyCode1 = 0x28; bHira = true; break;	// 
		case 0x82E4: keyCode1 = 0x38; bHira = true; break;	// 
		case 0x82E5: keyCode1 = 0x29; bHira = true; break;	// 
		case 0x82E6: keyCode1 = 0x39; bHira = true; break;	// 
		case 0x82E7: keyCode1 = 0x6F; bHira = true; break;	// 
		case 0x82E8: keyCode1 = 0x6C; bHira = true; break;	// 
		case 0x82E9: keyCode1 = 0x2E; bHira = true; break;	// 
		case 0x82EA: keyCode1 = 0x3B; bHira = true; break;	// 
		case 0x82EB: keyCode1 = 0xDB; bHira = true; break;	// 
		case 0x82EC: keyCode1 = 0x30; bHira = true; break;	// 
		case 0x82ED: keyCode1 = 0x30; bHira = true; break;	// 
		case 0x82EE: keyCode1 = 0x65; bHira = true; break;	// 
		case 0x82EF: keyCode1 = 0x35; bHira = true; break;	// 
		case 0x82F0: keyCode1 = 0xA6; bHira = true; break;	// 
		case 0x82F1: keyCode1 = 0x79; bHira = true; break;	// 

		case 0x8340: keyCode1 = 0x23; bKana = true; break;	// @
		case 0x8341: keyCode1 = 0x33; bKana = true; break;	// A
		case 0x8342: keyCode1 = 0x45; bKana = true; break;	// B
		case 0x8343: keyCode1 = 0x65; bKana = true; break;	// C
		case 0x8344: keyCode1 = 0x24; bKana = true; break;	// D
		case 0x8345: keyCode1 = 0x34; bKana = true; break;	// E
		case 0x8346: keyCode1 = 0x25; bKana = true; break;	// F
		case 0x8347: keyCode1 = 0x35; bKana = true; break;	// G
		case 0x8348: keyCode1 = 0x26; bKana = true; break;	// H
		case 0x8349: keyCode1 = 0x36; bKana = true; break;	// I
		case 0x834A: keyCode1 = 0x74; bKana = true; break;	// J
		case 0x834B: keyCode1 = 0x74; keyCode2 = 0x40; bKana = true; break;	// K
		case 0x834C: keyCode1 = 0x67; bKana = true; break;	// L
		case 0x834D: keyCode1 = 0x67; keyCode2 = 0x40; bKana = true; break;	// M
		case 0x834E: keyCode1 = 0x68; bKana = true; break;	// N
		case 0x834F: keyCode1 = 0x68; keyCode2 = 0x40; bKana = true; break;	// O
		case 0x8350: keyCode1 = 0x3A; bKana = true; break;	// P
		case 0x8351: keyCode1 = 0x3A; keyCode2 = 0x40; bKana = true; break;	// Q
		case 0x8352: keyCode1 = 0x62; bKana = true; break;	// R
		case 0x8353: keyCode1 = 0x62; keyCode2 = 0x40; bKana = true; break;	// S
		case 0x8354: keyCode1 = 0x78; bKana = true; break;	// T
		case 0x8355: keyCode1 = 0x78; keyCode2 = 0x40; bKana = true; break;	// U
		case 0x8356: keyCode1 = 0x64; bKana = true; break;	// V
		case 0x8357: keyCode1 = 0x64; keyCode2 = 0x40; bKana = true; break;	// W
		case 0x8358: keyCode1 = 0x72; bKana = true; break;	// X
		case 0x8359: keyCode1 = 0x72; keyCode2 = 0x40; bKana = true; break;	// Y
		case 0x835A: keyCode1 = 0x70; bKana = true; break;	// Z
		case 0x835B: keyCode1 = 0x70; keyCode2 = 0x40; bKana = true; break;	// [
		case 0x835C: keyCode1 = 0x63; bKana = true; break;	// \
		case 0x835D: keyCode1 = 0x63; keyCode2 = 0x40; bKana = true; break;	// ]
		case 0x835E: keyCode1 = 0x71; bKana = true; break;	// ^
		case 0x835F: keyCode1 = 0x71; keyCode2 = 0x40; bKana = true; break;	// _
		case 0x8360: keyCode1 = 0x61; bKana = true; break;	// `
		case 0x8361: keyCode1 = 0x61; keyCode2 = 0x40; bKana = true; break;	// a
		case 0x8362: keyCode1 = 0x5A; bKana = true; break;	// b
		case 0x8363: keyCode1 = 0x7A; bKana = true; break;	// c
		case 0x8364: keyCode1 = 0x7A; keyCode2 = 0x40; bKana = true; break;	// d
		case 0x8365: keyCode1 = 0x77; bKana = true; break;	// e
		case 0x8366: keyCode1 = 0x77; keyCode2 = 0x40; bKana = true; break;	// f
		case 0x8367: keyCode1 = 0x73; bKana = true; break;	// g
		case 0x8368: keyCode1 = 0x73; keyCode2 = 0x40; bKana = true; break;	// h
		case 0x8369: keyCode1 = 0x75; bKana = true; break;	// i
		case 0x836A: keyCode1 = 0x69; bKana = true; break;	// j
		case 0x836B: keyCode1 = 0x31; bKana = true; break;	// k
		case 0x836C: keyCode1 = 0x2C; bKana = true; break;	// l
		case 0x836D: keyCode1 = 0x6B; bKana = true; break;	// m
		case 0x836E: keyCode1 = 0x66; bKana = true; break;	// n
		case 0x836F: keyCode1 = 0x66; keyCode2 = 0x40; bKana = true; break;	// o
		case 0x8370: keyCode1 = 0x66; keyCode2 = 0x5B; bKana = true; break;	// p
		case 0x8371: keyCode1 = 0x76; bKana = true; break;	// q
		case 0x8372: keyCode1 = 0x76; keyCode2 = 0x40; bKana = true; break;	// r
		case 0x8373: keyCode1 = 0x76; keyCode2 = 0x5B; bKana = true; break;	// s
		case 0x8374: keyCode1 = 0x32; bKana = true; break;	// t
		case 0x8375: keyCode1 = 0x32; keyCode2 = 0x40; bKana = true; break;	// u
		case 0x8376: keyCode1 = 0x32; keyCode2 = 0x5B; bKana = true; break;	// v
		case 0x8377: keyCode1 = 0x5E; bKana = true; break;	// w
		case 0x8378: keyCode1 = 0x5E; keyCode2 = 0x40; bKana = true; break;	// x
		case 0x8379: keyCode1 = 0x5E; keyCode2 = 0x5B; bKana = true; break;	// y
		case 0x837A: keyCode1 = 0x2D; bKana = true; break;	// z
		case 0x837B: keyCode1 = 0x2D; keyCode2 = 0x40; bKana = true; break;	// {
		case 0x837C: keyCode1 = 0x2D; keyCode2 = 0x5B; bKana = true; break;	// |
		case 0x837D: keyCode1 = 0x6A; bKana = true; break;	// }
		case 0x837E: keyCode1 = 0x6E; bKana = true; break;	// ~
		case 0x8380: keyCode1 = 0x5D; bKana = true; break;	// 
		case 0x8381: keyCode1 = 0x2F; bKana = true; break;	// 
		case 0x8382: keyCode1 = 0x6D; bKana = true; break;	// 
		case 0x8383: keyCode1 = 0x27; bKana = true; break;	// 
		case 0x8384: keyCode1 = 0x37; bKana = true; break;	// 
		case 0x8385: keyCode1 = 0x28; bKana = true; break;	// 
		case 0x8386: keyCode1 = 0x38; bKana = true; break;	// 
		case 0x8387: keyCode1 = 0x29; bKana = true; break;	// 
		case 0x8388: keyCode1 = 0x39; bKana = true; break;	// 
		case 0x8389: keyCode1 = 0x6F; bKana = true; break;	// 
		case 0x838A: keyCode1 = 0x6C; bKana = true; break;	// 
		case 0x838B: keyCode1 = 0x2E; bKana = true; break;	// 
		case 0x838C: keyCode1 = 0x3B; bKana = true; break;	// 
		case 0x838D: keyCode1 = 0xDB; bKana = true; break;	// 
		case 0x838E: keyCode1 = 0x30; bKana = true; break;	// 
		case 0x838F: keyCode1 = 0x30; bKana = true; break;	// 
		case 0x8390: keyCode1 = 0x65; bKana = true; break;	// 
		case 0x8391: keyCode1 = 0x35; bKana = true; break;	// 
		case 0x8392: keyCode1 = 0xA6; bKana = true; break;	// 
		case 0x8393: keyCode1 = 0x79; bKana = true; break;	// 
		case 0x8394: keyCode1 = 0x34; keyCode2 = 0x40; bKana = true; break;	// 
	}

	p6key->keyCode1 = keyCode1;
	p6key->keyCode2 = keyCode2;
	p6key->bGraphFlag = bGrMode;
	p6key->bKana = bKana;
	p6key->bHira = bHira;

#ifdef _DEBUG
	printf(" converted code:%x\n", keyCode1);
	printf(" converted kana flag:%d\n", bKana);
#endif
}
